
function getSelected() {
var sel = $('input[type=checkbox]:checked').map(function(make_pdf, el) {
	  return $(el).val()
	}).get();

	document.getElementById("idss").value=sel;

	return sel;
}

function getList() {
	window.open('index.php?module=EcmSales&amp;action=productsSummaryList&amp;to_pdf=1&amp;ids='+$('#idss').val());
}

$(document).ready(function() 
    { 	 
	
	// by document no
    $.tablesorter.addParser({
        // set a unique id
        id: 'rangesort',
        is: function (s) {
            // return false so this parser is not auto detected
            return false;
        },
        format: function (s, table, cell, cellIndex) {
            // get data attributes from $(cell).attr('data-something');
            // check specific column using cellIndex
      
            return $(cell).attr('data-price');
        },
        // set type, either numeric or text
        type: 'numeric'
    });
    // by total netto
    $.tablesorter.addParser({
        // set a unique id
        id: 'rangesorttota',
        is: function (s) {
            // return false so this parser is not auto detected
            return false;
        },
        format: function (s, table, cell, cellIndex) {
            // get data attributes from $(cell).attr('data-something');
            // check specific column using cellIndex
      
            return $(cell).attr('data-total');
        },
        // set type, either numeric or text
        type: 'numeric'
    });
    // by vat

    $.tablesorter.addParser({
        // set a unique id
        id: 'rangesorttotav',
        is: function (s) {
            // return false so this parser is not auto detected
            return false;
        },
        format: function (s, table, cell, cellIndex) {
            // get data attributes from $(cell).attr('data-something');
            // check specific column using cellIndex
      
            return $(cell).attr('data-total');
        },
        // set type, either numeric or text
        type: 'numeric'
    });
    // by total brutto
    $.tablesorter.addParser({
        // set a unique id
        id: 'rangesorttotan',
        is: function (s) {
            // return false so this parser is not auto detected
            return false;
        },
        format: function (s, table, cell, cellIndex) {
            // get data attributes from $(cell).attr('data-something');
            // check specific column using cellIndex
      
            return $(cell).attr('data-total');
        },
        // set type, either numeric or text
        type: 'numeric'
    });
    // by total invoice
    $.tablesorter.addParser({
        // set a unique id
        id: 'rangesorttotai',
        is: function (s) {
            // return false so this parser is not auto detected
            return false;
        },
        format: function (s, table, cell, cellIndex) {
            // get data attributes from $(cell).attr('data-something');
            // check specific column using cellIndex
      
            return $(cell).attr('data-total');
        },
        // set type, either numeric or text
        type: 'numeric'
    });
    $('#selectall').click(function(event) {  //on click 
        if(this.checked) { // check select status
            $('.make_pdf').each(function() { //loop through each checkbox
                this.checked = true;  //select all checkboxes with class "checkbox1"               
            });
        }else{
            $('.make_pdf').each(function() { //loop through each checkbox
                this.checked = false; //deselect all checkboxes with class "checkbox1"                       
            });         
        }
    });
    $('#selectall2').click(function(event) {  //on click 
        if(this.checked) { // check select status
            $('.make_pdf2').each(function() { //loop through each checkbox
                this.checked = true;  //select all checkboxes with class "checkbox1"               
            });
        }else{
            $('.make_pdf2').each(function() { //loop through each checkbox
                this.checked = false; //deselect all checkboxes with class "checkbox1"                       
            });         
        }
    });
    $('#selectall3').click(function(event) {  //on click 
        if(this.checked) { // check select status
            $('.make_pdf3').each(function() { //loop through each checkbox
                this.checked = true;  //select all checkboxes with class "checkbox1"               
            });
        }else{
            $('.make_pdf3').each(function() { //loop through each checkbox
                this.checked = false; //deselect all checkboxes with class "checkbox1"                       
            });         
        }
    });
    // hightlight table row
    $('#myTable tr').mouseover(function(e) {
        $('#myTable tr').removeClass('highlighted');
        $(this).addClass('highlighted');
    });
    $("#myTable").tablesorter({
        headers: {
        	  0: { 
                  // disable it by setting the property sorter to false 
                  sorter: false 
              }, 

        }
    });
  
    $("#myTable2").tablesorter({
        headers: {
        	  0: { 
                  // disable it by setting the property sorter to false 
                  sorter: false 
              }, 

        }
    });
    $("#myTable3").tablesorter({
        headers: {
        	  0: { 
                  // disable it by setting the property sorter to false 
                  sorter: false 
              }, 

        }
    });
});